Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Inherited Constants | Fields | Methods | Inherited Methods | [Expand All]
public final class

# PlayerEntity

extends Object
implements Parcelable Player

java.lang.Object
↳ | com.google.android.gms.games.PlayerEntity

## Class Overview

Data object representing a set of Player data. This is immutable, and therefore safe to cache or store. Note, however, that the data it represents may grow stale.

This class exists solely to support parceling these objects and should not be used directly.

## Summary

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Fields
public static final Creator<PlayerEntity> | CREATOR |

Public Methods
int | describeContents()
boolean | equals(Object obj)
Player | freeze() Freeze a volatile representation into an immutable representation.
String | getDisplayName() Retrieves the display name for this player.
void | getDisplayName(CharArrayBuffer dataOut) Loads the player's display name into the given `CharArrayBuffer`.
Uri | getHiResImageUri() Retrieves the URI for loading this player's hi-res profile image.
Uri | getIconImageUri() Retrieves the URI for loading this player's icon-size profile image.
long | getLastPlayedWithTimestamp() Retrieves the timestamp at which this player last played a multiplayer game with the currently signed in user.
String | getPlayerId() Retrieves the ID of this player.
long | getRetrievedTimestamp() Retrieves the timestamp at which this player record was last updated locally.
boolean | hasHiResImage() Indicates whether this player has a hi-res profile image to display.
boolean | hasIconImage() Indicates whether this player has an icon-size profile image to display.
int | hashCode()
boolean | isDataValid() Check to see if this object is valid for use.
String | toString()
void | writeToParcel(Parcel dest, int flags)

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

From interface com.google.android.gms.common.data.Freezable

abstract T | freeze() Freeze a volatile representation into an immutable representation.
abstract boolean | isDataValid() Check to see if this object is valid for use.

From interface com.google.android.gms.games.Player

abstract String | getDisplayName() Retrieves the display name for this player.
abstract void | getDisplayName(CharArrayBuffer dataOut) Loads the player's display name into the given `CharArrayBuffer`.
abstract Uri | getHiResImageUri() Retrieves the URI for loading this player's hi-res profile image.
abstract Uri | getIconImageUri() Retrieves the URI for loading this player's icon-size profile image.
abstract long | getLastPlayedWithTimestamp() Retrieves the timestamp at which this player last played a multiplayer game with the currently signed in user.
abstract String | getPlayerId() Retrieves the ID of this player.
abstract long | getRetrievedTimestamp() Retrieves the timestamp at which this player record was last updated locally.
abstract boolean | hasHiResImage() Indicates whether this player has a hi-res profile image to display.
abstract boolean | hasIconImage() Indicates whether this player has an icon-size profile image to display.

## Fields

#### public static final Creator<PlayerEntity> CREATOR

## Public Methods

#### public int describeContents ()

#### public boolean equals (Object obj)

#### public Player freeze ()

Freeze a volatile representation into an immutable representation. Objects returned from this call are safe to cache.

Note that the output of `freeze` may not be identical to the parent object, but should be equal. In other words:

     Freezable f1 = new Freezable();
     Freezable f2 = f1.freeze();
     f1 == f2 may not be true.
     f1.equals(f2) will be true.

##### Returns

- A concrete implementation of the data object.

#### public String getDisplayName ()

Retrieves the display name for this player.

##### Returns

- The player's display name.

#### public void getDisplayName (CharArrayBuffer dataOut)

Loads the player's display name into the given `CharArrayBuffer`.

##### Parameters

dataOut | The buffer to load the data into.

#### public Uri getHiResImageUri ()

Retrieves the URI for loading this player's hi-res profile image. Returns null if the player has no profile image.

To retrieve the Image from the `Uri`, use `ImageManager`.

##### Returns

- The image URI for the player's hi-res profile image, or null if the player has none.

#### public Uri getIconImageUri ()

Retrieves the URI for loading this player's icon-size profile image. Returns null if the player has no profile image.

To retrieve the Image from the `Uri`, use `ImageManager`.

##### Returns

- The image URI for the player's icon-size profile image, or null if the player has none.

#### public long getLastPlayedWithTimestamp ()

Retrieves the timestamp at which this player last played a multiplayer game with the currently signed in user.

##### Returns

- The timestamp (in ms since epoch) at which the player last played a multiplayer game with the currently signed in user.

#### public String getPlayerId ()

Retrieves the ID of this player.

##### Returns

- The player ID.

#### public long getRetrievedTimestamp ()

Retrieves the timestamp at which this player record was last updated locally.

##### Returns

- The timestamp (in ms since epoch) at which the player data was last updated locally.

#### public boolean hasHiResImage ()

Indicates whether this player has a hi-res profile image to display.

##### Returns

- Whether the player has a hi-res profile image to display.

#### public boolean hasIconImage ()

Indicates whether this player has an icon-size profile image to display.

##### Returns

- Whether the player has an icon-size profile image to display.

#### public int hashCode ()

#### public boolean isDataValid ()

Check to see if this object is valid for use. If the object is still volatile, this method will indicate whether or not the object can be safely used. The output of a call to `freeze()` will always be valid.

##### Returns

- whether or not the object is valid for use.

#### public String toString ()

#### public void writeToParcel (Parcel dest, int flags)